Package twisted :: Package im :: Module proxyui :: Class IRCUserInterface |
[frames | no frames]

## Class IRCUserInterface

    BaseProtocol --+
                   |
            Protocol --+
                       |
                     IRC --+
                           |
                          IRCUserInterface

Method Summary
| `connectionLost(self)`
Inherited from IRC
| ``action`(self, sender, recip, message)` Send an action to a channel or user.
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` This hack is to support mIRC, which sends LF only, even though the RFC says CRLF.
| ``handleCommand`(self, command, prefix, params)` Determine the function to call for the given command and call it with the given arguments.
| ``irc_unknown`(self, prefix, command, params)` Implement me!
| ``join`(self, who, where)` Send a join message.
| ``names`(self, user, channel, names)` Send the names of a channel's participants to a user.
| ``notice`(self, sender, recip, message)` Send a "notice" to a channel or user.
| ``part`(self, who, where)` Send a part message.
| ``privmsg`(self, sender, recip, message)` Send a message to a channel or user
| ``sendLine`(self, line)`
| ``sendMessage`(self, command, *parameter_list, **prefix)` Send a line formatted as an IRC message.
| ``topic`(self, user, channel, topic, author)` Send the topic to a user.
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
Inherited from IRC
`str` | `buffer` = `''`
`NoneType` | `hostname` = None
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Generated by Epydoc 2.0 on Sat Oct 25 00:54:58 2003 | http://epydoc.sf.net